# Files

## Classes
class | cFileLoaderBMP
| cFileLoaderBMP provides a class to load BMP bitmap images into memory. More...
class | cFileLoaderTGA
| Class that loads TGA files. More...
class | cImageLoader
| cImageLoader provides a class to load images files into memory. The real work is deferred to specific files that know how to load specific image file types. More...
## Functions
bool | cLoadFile3DS (cMesh *iMesh, const string &iFileName)
| Loads a 3DS image file by providing a filename and mesh in which object is loaded.
bool | cLoadFileOBJ (cMesh *iMesh, const string &iFileName)
| Loads a OBJ image by providing a filename and mesh in which object is loaded.
bool | cLoadMeshFromFile (cMesh *a_mesh, const string &a_fileName)
| Global function to load a file into a mesh. (CHAI currently supports .3ds and .obj files).

## Function Documentation

bool cLoadFile3DS | ( | cMesh * | a_mesh,
|  | const string & | a_fileName |
| ) |  |  |

Loads a 3DS image file by providing a filename and mesh in which object is loaded.

Load a 3d studio max 3ds file format image into a mesh.

Parameters:

  | a_mesh | Mesh in which image file is loaded
  | a_fileName | Name of image file.

Returns:
  Return true if image was loaded successfully, otherwise return false.

bool cLoadFileOBJ | ( | cMesh * | a_mesh,
|  | const string & | a_fileName |
| ) |  |  |

Loads a OBJ image by providing a filename and mesh in which object is loaded.

Load a Wavefront OBJ file format image into a mesh.

Parameters:

  | a_mesh | Mesh in which image file is loaded
  | a_fileName | Name of image file.

Returns:
  Return true if image was loaded successfully, otherwise return false.

bool cLoadMeshFromFile | ( | cMesh * | a_mesh,
|  | const string & | a_fileName |
| ) |  |  |

Global function to load a file into a mesh. (CHAI currently supports .3ds and .obj files).

Global function to load a file into a mesh (CHAI currently supports .3ds and .obj files). Returns true if the file is loaded successfully.

The file type is determined based on the file extension supplied by the caller.

Parameters:

  | a_mesh | The mesh into which we should write the loaded data
  | a_fileName | The filename from which we should load the mesh

Returns:
  Return true if the file is loaded successfully, false for an error

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.